MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- File List
- Globals

Functions
DatabasePrint.hxx File Reference
`#include "tag/Mask.hxx"`
Include dependency graph for DatabasePrint.hxx:

Go to the source code of this file.

## Functions
void | db_selection_print (Response &r, Partition &partition, const DatabaseSelection &selection, bool full, bool base)
void | db_selection_print (Response &r, Partition &partition, const DatabaseSelection &selection, bool full, bool base, unsigned window_start, unsigned window_end)
void | PrintUniqueTags (Response &r, Partition &partition, unsigned type, tag_mask_t group_mask, const SongFilter *filter)

## Function Documentation

void db_selection_print | ( | Response & | r,
|  | Partition & | partition,
|  | const DatabaseSelection & | selection,
|  | bool | full,
|  | bool | base
| ) |  |

Parameters

  full | print attributes/tags
  base | print only base name of songs/directories?

void db_selection_print | ( | Response & | r,
|  | Partition & | partition,
|  | const DatabaseSelection & | selection,
|  | bool | full,
|  | bool | base,
|  | unsigned | window_start,
|  | unsigned | window_end
| ) |  |

void PrintUniqueTags | ( | Response & | r,
|  | Partition & | partition,
|  | unsigned | type,
|  | tag_mask_t | group_mask,
|  | const SongFilter * | filter
| ) |  |